Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalComboBoxUI.MetalComboBoxLayoutManager

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicComboBoxUI.ComboBoxLayoutManager
            |
            +--javax.swing.plaf.metal.MetalComboBoxUI.MetalComboBoxLayoutManager

public class MetalComboBoxUI.MetalComboBoxLayoutManager
extends BasicComboBoxUI.ComboBoxLayoutManager

This inner class is marked "public" due to a compiler bug. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of .

Constructor Summary
`MetalComboBoxUI.MetalComboBoxLayoutManager()`

Method Summary
`void` | `layoutContainer(java.awt.Container parent)`
`void` | `superLayout(java.awt.Container parent)`

Methods inherited from class javax.swing.plaf.basic.BasicComboBoxUI.ComboBoxLayoutManager
`addLayoutComponent, minimumLayoutSize, preferredLayoutSize, removeLayoutComponent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetalComboBoxUI.MetalComboBoxLayoutManager

    public MetalComboBoxUI.MetalComboBoxLayoutManager()

Method Detail

### layoutContainer

    public void layoutContainer(java.awt.Container parent)

  Overrides:
    layoutContainer in class BasicComboBoxUI.ComboBoxLayoutManager

### superLayout

    public void superLayout(java.awt.Container parent)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.